package com.sw.patroleditor.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sw.patroleditor.domain.dto.PointDTO;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface PointMapper extends BaseMapper<PointDTO> {
    /**
     * @Description: 查询停靠点list
     * @Date: 2024/8/19 17:36
     * @Author: shiwn
     * @Param: ：
     * @Return:
     */
    @Select("select * from point order by id")
    List<PointDTO> getList();

}