package com.sw.patroleditor.service;

import com.github.pagehelper.PageInfo;
import com.sw.patroleditor.domain.vo.PointVO;
import com.sw.patroleditor.domain.vo.TargetVO;

/**
 * Created by shiwn on 2024/7/26 15:07
 */
public interface LocationService {
    int savePoint(PointVO vo);

    int saveTarget(TargetVO vo);

    int deletePoint(Integer pointId);

    int deleteTarget(Long targetId);

    PageInfo getPointList(Integer pageNum, Integer pageSize);

    PageInfo getTargetList(Integer pageNum, Integer pageSize, Integer pointId);
}
