package com.sw.patroleditor.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sw.patroleditor.domain.dto.TargetDTO;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface TargetMapper extends BaseMapper<TargetDTO> {
    /**
     * @Description: 查询巡检点list
     * @Date: 2024/8/19 17:36
     * @Author: shiwn
     * @Param: ：
     * @Return:
     */
    @Select("select * from target where point_id =#{pointId} order by id")
    List<TargetDTO> getList(Integer pointId);
}